Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1464310 - Tilded G not works with Liberation Sans and Serif
Summary: Tilded G not works with Liberation Sans and Serif
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: liberation-fonts
Version: 32
Hardware: All
OS: All
unspecified
unspecified
Target Milestone: ---
Assignee: vishal vijayraghavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-23 04:08 UTC by Krasnaya Ploshchad’
Modified: 2021-03-19 19:58 UTC (History)
6 users (show)

Fixed In Version: liberation-fonts-2.1.3-1.fc33 liberation-fonts-2.1.3-1.fc32 liberation-fonts-2.1.3-1.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-02 15:56:15 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1072095 0 unspecified ASSIGNED Liberation Sans renders most Latin combining characters incorrectly 2022-05-16 11:32:56 UTC

Description Krasnaya Ploshchad’ 2017-06-23 04:08:22 UTC
Description of problem:
Guarani letter G̃ does not works if I use Liberation Sans and Serif, this letter requiring combining tilde.


Steps to Reproduce:
1. Coping this letter from https://en.wikipedia.org/wiki/Guarani_alphabet
2. Pasted into LibreOffice
3. Switch font face to Liberation Sans or Liberation Serif

Actual results:
With Liberation Sans/Serif tilded G does not works as expected.

Comment 1 Jan Kurik 2017-08-15 09:16:46 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 2 Pooja Yadav 2018-09-14 07:06:35 UTC
Reproducible in Fedora-29. 
Therefore, Changing version to '29'.

Comment 3 Krasnaya Ploshchad’ 2018-12-19 18:27:45 UTC
This was fixed only in Liberation Sans as of version 2.00.3.

Comment 4 Ben Cotton 2019-10-31 20:17:12 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 vishalvvr 2019-11-01 02:59:45 UTC
This is a major bug fix still working on it, so moving it to rawhide

Comment 6 Ben Cotton 2020-02-11 15:46:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 7 Fedora Update System 2021-03-01 11:28:24 UTC
FEDORA-2021-6fd30fd572 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-6fd30fd572

Comment 8 Fedora Update System 2021-03-01 11:28:25 UTC
FEDORA-2021-59149cfcc1 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-59149cfcc1

Comment 9 Fedora Update System 2021-03-01 17:10:37 UTC
FEDORA-2021-f9988e8af6 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-f9988e8af6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-f9988e8af6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-03-01 17:45:50 UTC
FEDORA-2021-6fd30fd572 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-6fd30fd572`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-6fd30fd572

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-03-02 04:31:37 UTC
FEDORA-2021-59149cfcc1 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-59149cfcc1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-59149cfcc1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-03-02 15:56:15 UTC
FEDORA-2021-6fd30fd572 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2021-03-08 20:14:32 UTC
FEDORA-2021-f9988e8af6 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2021-03-19 17:41:41 UTC
FEDORA-2021-59149cfcc1 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2021-03-19 19:58:13 UTC
FEDORA-2021-59149cfcc1 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.